#version 150

uniform mat4 MVP;
uniform float vOffset;

in vec3 vertex;
in vec2 texCoord;

out vec2 fragTexCoord;

void main () {
	fragTexCoord.s = texCoord.s;
	fragTexCoord.t = texCoord.t + vOffset;

	gl_Position = MVP * vec4 (vertex, 1);
}
